var win = Titanium.UI.currentWindow;

//
// CREATE ANNOTATIONS
//
var dallas = Titanium.Map.createAnnotation({
	latitude:32.781787,
	longitude:-96.794036,
	title:"Dallas, TX",
	pincolor: Titanium.Map.ANNOTATION_RED,
	myid:1 // CUSTOM ATTRIBUTE THAT IS PASSED INTO EVENT OBJECTS
});

var allen = Titanium.Map.createAnnotation({
	latitude:33.101760,
	longitude:-96.674618,
	title:"Allen, TX",
	pincolor: Titanium.Map.ANNOTATION_GREEN,
	myid:2 // CUSTOM ATTRIBUTE THAT IS PASSED INTO EVENT OBJECTS
});

//
// CREATE MAP VIEW
//
var mapview = Titanium.Map.createView({
	mapType: Titanium.Map.STANDARD_TYPE,
	region:{	latitude:32.781787, longitude:-96.794036, latitudeDelta:0.25, longitudeDelta:0.25},
	animate:true,
	regionFit:true,
	userLocation:true,
	annotations:[dallas,allen]
});

mapview.selectAnnotation(dallas);
win.add(mapview);


var removeAll = null;
var dal = null;
var all = null;
var sat = null;
var std = null;
var hyb = null;
var zoomin = null;
var zoomout = null;

var activity = Ti.Android.currentActivity;
activity.onCreateOptionsMenu = function(e) {
	var menu = e.menu;

	dal = menu.add({title : 'Dallas'});
	all = menu.add({title : 'Allen'});
	sat = menu.add({title : 'Sat'});
	std = menu.add({title : 'Std'});
	hyb = menu.add({title : 'Hyb'});
	zoomin = menu.add({title : "Zoom In"});
	zoomout = menu.add({title : 'Zoom Out'});
	removeAll = menu.add({title:'Remove All'});

	removeAll.addEventListener('click', function() {
		mapview.removeAllAnnotations();
	});

	dal.addEventListener('click', function() {
		mapview.selectAnnotation({title:mapview.annotations[0].title, animate:true, center:true});
	});

	all.addEventListener('click', function() {
		mapview.selectAnnotation({title:mapview.annotations[1].title, animate:true, center:false});
	});

	sat.addEventListener('click',function() {
		// set map type to satellite
		mapview.setMapType(Titanium.Map.SATELLITE_TYPE);
	});

	std.addEventListener('click',function() {
		// set map type to standard
		mapview.setMapType(Titanium.Map.STANDARD_TYPE);
	});

	hyb.addEventListener('click',function() {
		// set map type to hybrid
		mapview.setMapType(Titanium.Map.HYBRID_TYPE);
	});

	zoomin.addEventListener('click',function() {
		mapview.zoom(1);
	});

	zoomout.addEventListener('click',function() {
		mapview.zoom(-1);
	});
};


// region change event listener
mapview.addEventListener('regionChanged',function(evt)
{
	Titanium.API.info('maps region has updated to '+evt.longitude+','+evt.latitude);
});

